// Copyright 2016 Cloudera Inc.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

#ifndef HS2CLIENT_MACROS_H
#define HS2CLIENT_MACROS_H

#include <iostream>

namespace hs2client {

// From Google gutil
#define HS2CLIENT_DISALLOW_COPY_AND_ASSIGN(TypeName) \
  TypeName(const TypeName&) = delete;      \
  void operator=(const TypeName&) = delete

#define HS2CLIENT_RETURN_IF_ERROR(stmt) \
  do { \
    Status __status__ = (stmt); \
    if (!__status__.ok()) return __status__; \
  } while (false)

} // namespace hs2client

#endif  // HS2CLIENT_MACROS_H
